﻿@using EpamMVC.WEB.HtmlHelpers
@model EpamMVC.WEB.Areas.Admin.Models.CallbackAdmin.IndexViewModel

<div class="card js_callbackTableWidget">
    <div class="card-header">
        <h3 class="card-title">
            Карты
        </h3>
        <div class="card-tools">
            @Html.PrintPagination(Model.Pagination)
        </div>
    </div>
    <div class="card-body">

        <table class="table table-striped table-hover table-bordered">

            <thead>
            <tr>
                <th>
                    Id
                </th>
                <th>
                    Title
                </th>
                <th>
                    Date
                </th>
                <th>
                    Actions
                </th>
            </tr>
            </thead>

            <tbody>
            @foreach (var request in Model.Requests)
            {
                var rowClass = "";
                if (!request.Called)
                {
                    rowClass = "table-success";
                }

                <tr class="@rowClass js_callback_row">
                    <td>
                        @request.Id
                    </td>
                    <td>
                        @request.Name
                    </td>
                    <td>
                        @(request.CreatedDateTime?.ToString("yyyy, dd MMMM, HH:mm:ss"))
                    </td>
                    <td>
                        <a
                            class="btn btn-info btn-sm js_callback_mark"
                            href="@Url.Action("Mark", "CallbackAdmin", new {request.Id})"
                            data-called="@(request.Called ? "true" : "false")">
                            <i class="fas fa-check"></i>
                            Метка
                        </a>
                        <a class="btn btn-danger btn-sm js_callback_delete" href="@Url.Action("Delete", "CallbackAdmin", new {request.Id})">
                            <i class="fas fa-trash"></i>
                            Удалить
                        </a>
                    </td>
                </tr>
            }

            </tbody>
        </table>
    </div>
    <div class="card-footer clearfix">
        @Html.PrintPagination(Model.Pagination)
    </div>
</div>
